View all locations defined by floor, room, and suite for the specified building in the URL. View enabled and preferred Zayo products. There will only ever be 1 location for each preferred product.
Success
curl -i -X GET \ 'https://api.zayo.com/services/location-management/v2/building/{buildingId}/locations'
"{\n \"apiVersion\": \"v2\",\n \"data\": {\n \"buildingId\": \"a0W60000002BxA8EAK\",\n \"address\": \"9417 Corporate Lake Dr, Tampa, Florida, 33634\",\n \"zayoNetworkStatus\": \"On Zayo Network\",\n \"locations\": [\n {\n \"locationName\": \"9417 Corporate Lake Dr/Fl-1/Rm-MMR\",\n \"locationId\": \"a0b6000000Avil2AAB\",\n \"networkStatus\": \"On Zayo Network\",\n \"suite\": null,\n \"floor\": \"1\",\n \"room\": \"MMR\",\n \"enabled\": {\n \"ETH-ELAN-M2M\": true,\n \"ETH-ELINE-NNI\": true,\n \"ETH-ELINE-P2P\": true,\n \"ETH-ELINE-UNI\": true,\n \"ETH-PDN-P2P\": false,\n \"IP-DIA\": true,\n \"IP-DIA-AGG\": true,\n \"IP-VPN\": true,\n \"WAVES-STD-P2P\": false\n },\n \"preferred\": {\n \"ETH-ELAN-M2M\": true,\n \"ETH-ELINE-NNI\": true,\n \"ETH-ELINE-P2P\": true,\n \"ETH-ELINE-UNI\": true,\n \"ETH-PDN-P2P\": false,\n \"IP-DIA\": true,\n \"IP-DIA-AGG\": true,\n \"IP-VPN\": true,\n \"WAVES-STD-P2P\": false\n }\n },\n {\n \"locationName\": \"9417 Corporate Lake Dr/Fl-1/Rm-MPOE\",\n \"locationId\": \"a0b4z00000QwxoRAAR\",\n \"networkStatus\": \"Not on Zayo Network\",\n \"suite\": null,\n \"floor\": \"1\",\n \"room\": \"MPOE\",\n \"enabled\": {\n \"ETH-ELAN-M2M\": false,\n \"ETH-ELINE-NNI\": false,\n \"ETH-ELINE-P2P\": false,\n \"ETH-ELINE-UNI\": false,\n \"ETH-PDN-P2P\": false,\n \"IP-DIA\": false,\n \"IP-DIA-AGG\": false,\n \"IP-VPN\": false,\n \"WAVES-STD-P2P\": false\n },\n \"preferred\": {\n \"ETH-ELAN-M2M\": false,\n \"ETH-ELINE-NNI\": false,\n \"ETH-ELINE-P2P\": false,\n \"ETH-ELINE-UNI\": false,\n \"ETH-PDN-P2P\": false,\n \"IP-DIA\": false,\n \"IP-DIA-AGG\": false,\n \"IP-VPN\": false,\n \"WAVES-STD-P2P\": false\n }\n }\n ],\"messages\": []}}"